%
% Copyright 2008  Lukas Kropatschek lukas.krop@gmail.com
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% \begin{titlepage}
\author{eingereicht von Lukas Kropatschek}
\title{Embedded Systems:\\
\LARGE{Theoretische Erörterung und praktische Entwicklung eines Lötroboters}}
\date{\today}

\makeatletter
\def\thickhrulefill{\leavevmode \leaders \hrule height 1pt\hfill \kern \z@}
\renewcommand{\maketitle}{\begin{titlepage}%
    \let\footnotesize\small
    \let\footnoterule\relax
    \parindent \z@
    \reset@font
    \null\vfil
    \begin{flushleft}
      \Huge \sffamily \textbf{\@title}
    \end{flushleft}
    \par
    \hrule height 1pt
    \par
    \begin{flushright}
      \LARGE \sffamily \@author \par
	  \Large Privates Gymnasium und\\ wirtschaftskundliches Realgymnasium - Mater Salvatoris \\
	Kenyongasse 4\\
	1070 Wien
	Schuljahr 2008/09\\
	  Fachbereichsarbeit Informatik bei Dr. Georg Breiner\\
	  \large\@date
    \end{flushright}
    \vskip 60\p@
    \vfil\null

  \end{titlepage}%
  \setcounter{footnote}{0}%
}

\maketitle

% \end{titlepage}

